package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "t_enquete_mail_address_tmp")
public class EnqueteMailAddressTmp extends AbstractEntity {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "enquete_mail_address_tmp_id")
	public Long enqueteMailAddressTmpId;

	@Column(name = "enquete_mail_id")
	public Integer enqueteMailId;

	public String email;

	/** EnqueteMail関連プロパティ */
	@ManyToOne
	@JoinColumn(name = "enquete_mail_id", referencedColumnName = "enquete_mail_id")
	public EnqueteMail enqueteMail;
}
