package jp.agentec.sinaburocast.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="t_point_donation")
public class PointDonation extends AbstractEntity {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "point_donation_id")
	public Integer pointDonationId;

	@Column(name = "member_id")
	public Integer memberId;

	@Column(name = "organization_id")
	public Integer organizationId;

	@Column(name = "point_num")
	public Integer pointNum;

    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
	public Member member;

    @ManyToOne
    @JoinColumn(name = "organization_id", referencedColumnName = "organization_id")
	public Organization organization;


}
