package jp.agentec.sinaburocast.entity;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;

@Entity
@Table(name="m_test_type")
public class TestType extends AbstractEntity {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "test_type_id")
	public Integer testTypeId;

	@Column(name = "test_type_name")
	public String testTypeName;
	
	
	@OneToMany(mappedBy = "testType")
	public List<Test> testList;
	
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}

}
