package jp.agentec.sinaburocast.form.batch;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import jp.agentec.sinaburocast.entity.Enquete;

import org.seasar.framework.beans.util.BeanMap;

public class EnqueteSumBatchForm {
	
	/**
	 * pcまたはmbの文字列を設定。設定されていない場合はpc
	 */
	public String pcOrMb;
	
	/**
	 * アンケートID
	 */
	public String eid;
	
	/**
	 * アンケート
	 */
	public Enquete enquete;
	
	/**
	 * アンケート回答者の年齢代。
	 */
	public List<BeanMap> ageList;
	
	
	/**
	 * アンケート回答者の各性別の数。
	 */
	public BeanMap genderInfo;
	
	/**管理者画面で実行した場合はadmin*/
	public String exeKbun;
	
	/**
	 * アンケート設問集計。
	 */
	public ArrayList<ArrayList<BeanMap>> enqueteResultSumList;
	
	/**戻るパス先*/
	public String returnPath;

	/**アンケート回答数*/
	public String answerCount;
	
	/**アンケート有効回答者数*/
	public Map<Integer, Integer> totalCountMap;
	
//	/**
//	 * 現在時刻
//	 * yyyy年MM月dd日 HH：mm
//	 */
//	public String currentTime;
	

}
