package jp.agentec.sinaburocast.service;

import java.util.List;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.AdminUser;
import jp.agentec.sinaburocast.entity.Member;
import jp.agentec.sinaburocast.entity.Message;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class MessageServiceTest  extends S2DaoTestCase {

	@Resource
	private MessageService messageService;

	public MessageServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("MessageServiceTest");
		suite.addTest(new MessageServiceTest("findById"));
		suite.addTest(new MessageServiceTest("findByNews"));
		suite.addTest(new MessageServiceTest("insertMessageTx"));
		return suite;
	}


	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	public void findById() {
		System.out.println(messageService.findById(1));
	}

	public void findByNews(){
	List<Message> list =messageService.findByNews(1);
		for (Message message : list) {
			//System.out.println(enquete.enqueteSummary.enqueteId);
			System.out.println(message.message);
			//System.out.println(gift.giftId);
			System.out.println(message);
		}
	}
	public void insertMessageTx() {
		Message message = messageService.findById(1);
		 AdminUser adminUserInfo = new  AdminUser();
		 adminUserInfo.loginId = "TEST";
		System.out.println(messageService.insertMessage(message,adminUserInfo));
	}


}
