package jp.agentec.sinaburocast.service;

import javax.annotation.Resource;

import jp.agentec.sinaburocast.entity.AdminUser;
import jp.agentec.sinaburocast.entity.PointPeriod;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.seasar.dao.unit.S2DaoTestCase;

public class PointPeriodServiceTest extends S2DaoTestCase {

	@Resource
	private PointPeriodService pointPeriodService;

	public PointPeriodServiceTest(String string) {
		super(string);
	}

	public static TestSuite suite() {
		TestSuite suite = new TestSuite("PointPeriodServiceTest");
		suite.addTest(new PointPeriodServiceTest("findById"));
		suite.addTest(new PointPeriodServiceTest("insertPointPeriodTx"));
		suite.addTest(new PointPeriodServiceTest("findByOnRecode"));
		return suite;
	}

	public void findById() {
		System.out.println(pointPeriodService.findById(1));
	}

	public void insertPointPeriodTx() {
		PointPeriod pointPeriod = new PointPeriod();
		pointPeriod.pointPeriod = 3;
		AdminUser adminUserInfo = new AdminUser();
		adminUserInfo.loginId = "TEST";
		System.out.println(pointPeriodService.insertPointPeriod(pointPeriod,adminUserInfo));
	}
	public void findByOnRecode() {
		System.out.println(pointPeriodService.findByOnRecode());
	}
	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
        include("app.dicon");
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}



}

